Bug 1573715 - [abrt] fragmentation_index: WARNING: CPU: 0 PID: 2068 at mm/vmstat.c:1057 __fragmentation_index+0x54/0x60 [NEEDINFO]
Summary: [abrt] fragmentation_index: WARNING: CPU: 0 PID: 2068 at mm/vmstat.c:1057 __f...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1fdfa5ef67de10d27972f26f5d2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 06:17 UTC by bitchecker
Modified: 2018-08-29 15:11 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 15:11:27 UTC
Type: ---
jforbes: needinfo?


Attachments (Terms of Use)

Description bitchecker 2018-05-02 06:17:50 UTC
Additional info:
reporter:       libreport-2.9.3
WARNING: CPU: 0 PID: 2068 at mm/vmstat.c:1057 __fragmentation_index+0x54/0x60
Modules linked in: rfcomm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun bridge stp llc ebtable_filter ebtables kvm_intel kvm irqbypass xt_pkttype ip6table_filter xt_conntrack ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 iptable_mangle xt_TCPMSS xt_nat xt_DSCP xt_multiport ip6table_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat cmac ip6_tables nf_conntrack libcrc32c bnep sunrpc dm_crypt intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core videodev crct10dif_pclmul crc32_pclmul media ghash_clmulni_intel intel_cstate snd_hda_codec_realtek intel_uncore snd_hda_codec_generic snd_hda_codec_hdmi arc4 iTCO_wdt wmi_bmof iTCO_vendor_support hp_wmi snd_hda_intel sparse_keymap
 intel_rapl_perf iwlmvm snd_hda_codec snd_hda_core mac80211 btusb joydev iwlwifi btrtl btbcm btintel bluetooth snd_hwdep ecdh_generic snd_seq snd_seq_device snd_pcm cfg80211 mei_me rfkill snd_timer rtsx_pci_ms memstick snd tpm_infineon hp_wireless mei wmi hp_accel tpm_tis tpm_tis_core tpm soundcore lis3lv02d lpc_ich shpchp input_polldev tcp_bbr sch_fq hid_logitech_hidpp hid_logitech_dj amdkfd amd_iommu_v2 amdgpu i915 rtsx_pci_sdmmc mmc_core chash ttm i2c_algo_bit drm_kms_helper crc32c_intel drm serio_raw rtsx_pci r8169 mii video ecryptfs [last unloaded: irqbypass]
CPU: 0 PID: 2068 Comm: qemu-system-x86 Not tainted 4.15.17-300.fc27.x86_64 #1
Hardware name: Hewlett-Packard HP ProBook 450 G2/2248, BIOS M73 Ver. 01.11 03/17/2015
RIP: 0010:__fragmentation_index+0x54/0x60
RSP: 0018:ffffa03fc56ef8f0 EFLAGS: 00010202
RAX: 000000000000000b RBX: 0000000000093000 RCX: 000000000000000a
RDX: 000000000000024c RSI: ffffa03fc56ef8f8 RDI: 000000000000000b
RBP: 0000000000000004 R08: 0000000000093a49 R09: 0000000000000266
R10: 000000000000000b R11: 0000000000000000 R12: 000000000000000b
R13: ffff8ca3207d5680 R14: 0000000000000000 R15: ffffa03fc56ef9e0
FS:  00007f6211b51cc0(0000) GS:ffff8ca320400000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00005618ac673000 CR3: 000000043374a001 CR4: 00000000003626f0
Call Trace:
 fragmentation_index+0x8b/0xb0
 compaction_suitable+0xaf/0xe0
 shrink_node+0x278/0x310
 node_reclaim+0x200/0x260
 get_page_from_freelist+0x699/0x16d0
 ? memcg_kmem_get_cache+0x5a/0x170
 ? __d_alloc+0x22/0x1d0
 ? __wake_up_common_lock+0x89/0xc0
 __alloc_pages_nodemask+0x11e/0x2b0
 kmalloc_large_node+0x4c/0x80
 __kmalloc_node+0x213/0x2b0
 kvmalloc_node+0x3e/0x70
 kvm_arch_create_memslot+0x55/0x1a0 [kvm]
 __kvm_set_memory_region+0x613/0x8d0 [kvm]
 kvm_set_memory_region+0x26/0x40 [kvm]
 kvm_vm_ioctl+0x47b/0x860 [kvm]
 do_vfs_ioctl+0xa4/0x620
 ? __audit_syscall_entry+0xbc/0x110
 ? syscall_trace_enter+0x1df/0x2e0
 SyS_ioctl+0x74/0x80
 do_syscall_64+0x74/0x180
 entry_SYSCALL_64_after_hwframe+0x3d/0xa2
RIP: 0033:0x7f62084e00f7
RSP: 002b:00007ffd9403d768 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
RAX: ffffffffffffffda RBX: 00005618ac5a5140 RCX: 00007f62084e00f7
RDX: 00007ffd9403d7d0 RSI: 000000004020ae46 RDI: 000000000000000c
RBP: 00005618ac5a3fe0 R08: 0000000000000000 R09: 0000000000000002
R10: 00005618ac5a90e0 R11: 0000000000000246 R12: 00007ffd9403d7d0
R13: 00000000c0000000 R14: 00005618ac5a5080 R15: 00007ffd9403d8d0
Code: 00 45 89 c0 48 d3 e2 48 89 d1 31 d2 48 f7 f1 31 d2 48 05 e8 03 00 00 49 f7 f0 ba e8 03 00 00 29 c2 89 d0 c3 b8 18 fc ff ff f3 c3 <0f> 0b 31 c0 c3 0f 1f 80 00 00 00 00 0f 1f 44 00 00 41 57 41 56

Comment 1 Justin M. Forbes 2018-07-23 15:16:48 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 2 Justin M. Forbes 2018-08-29 15:11:27 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.